Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.ruleflow.core
Class RuleFlowProcess

    java.lang.Object
      org.jbpm.process.core.impl.ProcessImpl
          org.jbpm.workflow.core.impl.WorkflowProcessImpl
              org.jbpm.ruleflow.core.RuleFlowProcess

All Implemented Interfaces:
  Serializable, KnowledgeDefinition, NodeContainer, Process, WorkflowProcess, ResourcedObject, ContextContainer, ContextResolver

    public class RuleFlowProcess

extends WorkflowProcessImpl

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.drools.definition.KnowledgeDefinition
`KnowledgeDefinition.KnowledgeType`

Field Summary
`static String` | `RULEFLOW_TYPE`

Constructor Summary
`RuleFlowProcess()`

Method Summary
`protected NodeContainer` | `createNodeContainer()`
`ExceptionScope` | `getExceptionScope()`
`StartNode` | `getStart()`
`SwimlaneContext` | `getSwimlaneContext()`
`VariableScope` | `getVariableScope()`

Methods inherited from class org.jbpm.workflow.core.impl.WorkflowProcessImpl
`addNode, getNode, getNodes, internalGetNode, isAutoComplete, isDynamic, removeNode, setAutoComplete, setDynamic`

Methods inherited from class org.jbpm.process.core.impl.ProcessImpl
`addContext, equals, getContext, getContexts, getDefaultContext, getFunctionImports, getGlobalNames, getGlobals, getId, getImports, getKnowledgeType, getMetaData, getMetaData, getName, getNamespace, getPackageName, getResource, getType, getVersion, hashCode, resolveContext, setDefaultContext, setFunctionImports, setGlobals, setId, setImports, setMetaData, setName, setPackageName, setResource, setType, setVersion`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jbpm.workflow.core.WorkflowProcess
`getFunctionImports, getGlobalNames, getGlobals, getImports, setFunctionImports, setGlobals, setImports`

Methods inherited from interface org.jbpm.process.core.Process
`setId, setMetaData, setName, setPackageName, setType, setVersion`

Methods inherited from interface org.drools.definition.process.Process
`getId, getMetaData, getMetaData, getName, getPackageName, getResource, getType, getVersion, setResource`

Methods inherited from interface org.drools.definition.KnowledgeDefinition
`getKnowledgeType, getNamespace`

Methods inherited from interface org.jbpm.process.core.ContextContainer
`addContext, getContext, getContexts, getDefaultContext, setDefaultContext`

Methods inherited from interface org.drools.io.ResourcedObject
`getResource, setResource`

Methods inherited from interface org.jbpm.workflow.core.NodeContainer
`resolveContext`

Field Detail

### RULEFLOW_TYPE

    public static final String RULEFLOW_TYPE

See Also:
  Constant Field Values

Constructor Detail

### RuleFlowProcess

    public RuleFlowProcess()

Method Detail

### getVariableScope

    public VariableScope getVariableScope()

### getSwimlaneContext

    public SwimlaneContext getSwimlaneContext()

### getExceptionScope

    public ExceptionScope getExceptionScope()

### createNodeContainer

    protected NodeContainer createNodeContainer()

  Overrides:
    `createNodeContainer` in class `WorkflowProcessImpl`

### getStart

    public StartNode getStart()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.